Delete an Availability Block
curl --request DELETE \
--url https://api.getnexor.ai/api/public/hosts/{user_id}/availability/blocks/{block_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/hosts/{user_id}/availability/blocks/{block_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/hosts/{user_id}/availability/blocks/{block_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"availability": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "<string>",
"timezone_source": "host",
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezone": "<string>",
"is_active": true,
"respect_own_timezone": true
},
"slots": {
"0": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
],
"1": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
],
"2": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
],
"3": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
],
"4": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
],
"5": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
],
"6": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "<string>",
"end": "<string>"
}
]
},
"slot_count": 1,
"blocks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"start": "<string>",
"end": "<string>",
"all_day": true,
"reason": "<string>"
}
]
}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}Delete an Availability Block
This operation lets you delete an availability block for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
DELETE
/
hosts
/
{user_id}
/
availability
/
blocks
/
{block_id}
Delete an Availability Block
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Tenant team-member identifier.
Availability block identifier.
Last modified on September 8, 2026
⌘I